Results 1 to 5 of 5

Thread: subset

  1. #1
    Ext User Corso's Avatar
    Join Date
    Aug 2008
    Location
    Germany
    Posts
    22
    Vote Rating
    0
      0  

    Default Unanswered: subset

    Ext Core is a subset of ExtJS 3.0.

    Dose thate mean that I can simply replace Ext Core with ExtJS 3.0. ?

  2. #2
    Sencha - Ext JS Dev Team Animal's Avatar
    Join Date
    Mar 2007
    Location
    Notts/Redwood City
    Posts
    30,607
    Answers
    15
    Vote Rating
    59
      0  

    Default

    Yes, but they serve different purposes.

    Ext Core is a foundation library encompassing DOM encapsulation, event handling, effects, Ajax, class creation.

    Ext 3.0 is a full UI and data handling library designed to build highly interactive RIAs.

  3. #3
    Ext User Corso's Avatar
    Join Date
    Aug 2008
    Location
    Germany
    Posts
    22
    Vote Rating
    0
      0  

    Default

    The reason behind this is, that we currently devoloping on tworelases simultaneous.
    Relase team 1.0 has starting to develop with Core.

    While 2.0 already uses ExtJS.

    Now i was wondering if the Code that was written with Core, is still working with relase 2.0 and 'just' ExtJS 3.0

  4. #4
    Sencha - Ext JS Dev Team Animal's Avatar
    Join Date
    Mar 2007
    Location
    Notts/Redwood City
    Posts
    30,607
    Answers
    15
    Vote Rating
    59
      0  

    Default

    Yes it will work. Ext Core is basically Ext with all widgets, all data classes (and some base functionality) removed.

  5. #5
    Ext User Corso's Avatar
    Join Date
    Aug 2008
    Location
    Germany
    Posts
    22
    Vote Rating
    0
      0  

    Default

    Thank you.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •